/*--max-width--*/
/*--min-width--*/
/*------------------------------------------------------------------------*/
section.kvSec {
  position: relative;
}

section.kvSec div.backSlide {
  position: absolute;
  top: 0;
  left: 50%;
  margin-left: -50%;
  z-index: -1;
  width: 100%;
}

section.kvSec div.backSlide > p {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 496px;
}

section.kvSec div.backSlide > p img {
  object-fit: cover;
  width: 100%;
  height: 496px;
}

section.kvSec div.inner {
  position: relative;
  height: 496px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

section.kvSec div.menuBox {
  width: 255px;
  height: 496px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

section.kvSec div.menuBox > p {
  flex-shrink: 0;
}

section.kvSec div.menuBox > p a {
  width: 100%;
  height: 50px;
  display: block;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

section.kvSec div.menuBox > p a::before {
  content: "";
  display: block;
  width: 15px;
  height: 15px;
  border-right: 3px solid #fff;
  border-top: 3px solid #fff;
  transform: translateY(5px) rotate(-45deg);
}

@media screen and (min-width: 1121px) {
  section.kvSec div.menuBox > p a:hover::before {
    border-color: #007fde;
  }
}

section.kvSec div.menuBox > p a span {
  text-indent: -9999px;
}

section.kvSec div.menuBox > p.down a::before {
  transform: translateY(-5px) rotate(135deg);
}

section.kvSec div.menuBox > p.disActive {
  opacity: 0.2;
  pointer-events: none;
}

section.kvSec div.menuBox > div {
  max-height: 390px;
  overflow: hidden;
}

section.kvSec div.menuBox ul {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
}

section.kvSec div.menuBox ul li ~ li {
  margin-top: 6px;
}

section.kvSec div.menuBox ul a {
  display: block;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  line-height: 38px;
  border-radius: 19px;
  background: rgba(255, 255, 255, 0.8);
  color: #007fde;
  font-size: 14px;
  font-weight: bold;
  transition: 0.3s all;
}

@media screen and (min-width: 1121px) {
  section.kvSec div.menuBox ul a:hover {
    color: #fff;
    background: #007fde;
  }
}

section.kvSec div.btnBox {
  width: 780px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  font-weight: bold;
  line-height: 1;
  color: #fff;
}

section.kvSec div.btnBox h2 {
  font-size: 32px;
  margin-bottom: 24px;
}

section.kvSec div.btnBox h2 + p {
  font-size: 16px;
  margin-bottom: 34px;
}

section.kvSec div.btnBox .btnCheck a {
  width: 380px;
  line-height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #ffb600;
  color: #fff;
  font-size: 16px;
  border-radius: 24px;
  position: relative;
  transition: 0.3s all;
}

section.kvSec div.btnBox .btnCheck a::after {
  content: "";
  display: block;
  width: 10px;
  height: 10px;
  border-right: 2px solid #fff;
  border-top: 2px solid #fff;
  transform: translateY(-7px) rotate(45deg);
  position: absolute;
  top: 50%;
  right: 20px;
  transition: 0.3s all;
}

@media screen and (min-width: 1121px) {
  section.kvSec div.btnBox .btnCheck a:hover {
    background: #fff;
    border-color: #ffb600;
    color: #ffb600;
  }
  section.kvSec div.btnBox .btnCheck a:hover::after {
    border-color: #ffb600;
  }
}

@media screen and (max-width: 1120px) {
  section.kvSec div.menuBox {
    display: none;
  }
  section.kvSec div.btnBox {
    width: 100%;
  }
}

@media screen and (max-width: 767px) {
  section.kvSec div.inner {
    height: 270px;
  }
  section.kvSec div.backSlide > p {
    height: 270px;
  }
  section.kvSec div.backSlide > p img {
    height: 270px;
  }
  section.kvSec div.menuBox {
    display: none;
  }
  section.kvSec div.btnBox h2 {
    font-size: 19px;
    margin-bottom: 14px;
  }
  section.kvSec div.btnBox h2 + p {
    font-size: 12px;
    margin-bottom: 20px;
  }
  section.kvSec div.btnBox .btnCheck a {
    width: 280px;
    line-height: 35px;
    font-size: 13px;
  }
  section.kvSec div.btnBox .btnCheck a::after {
    width: 7px;
    height: 7px;
    transform: translateY(-6px) rotate(45deg);
    right: 15px;
  }
}

@media screen and (max-width: 767px) and (min-width: 1121px) {
  section.kvSec div.btnBox .btnCheck a:hover {
    background: #fff;
    border-color: #ffb600;
    color: #ffb600;
  }
  section.kvSec div.btnBox .btnCheck a:hover::after {
    border-color: #ffb600;
  }
}

/*------------------------------------------------------------------------*/
div.mobileMenu {
  display: none;
}

section.homeSec {
  padding-top: 60px;
}

section.homeSec h2 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 15px;
  line-height: 1.4;
}

div.activLists ul {
  display: -webkit-flex;
  display: -ms-flex;
  display: flex;
  flex-wrap: wrap;
}

div.activLists ul li {
  width: 200px;
  margin-left: 20px;
}

div.activLists ul li:nth-child(5n+1) {
  margin-left: 0;
}

div.activLists ul li:nth-child(n+6) {
  margin-top: 30px;
}

div.activLists ul li figure {
  border-radius: 5px;
  overflow: hidden;
}

div.activLists ul li figure img {
  width: 100%;
  height: 140px;
  object-fit: cover;
}

div.activLists ul li figcaption {
  font-size: 17px;
  margin-top: 15px;
  line-height: 1.4;
}

div.activLists ul li a {
  display: block;
  transition: 0.3s opacity;
}

@media screen and (min-width: 1121px) {
  div.activLists ul li a:hover {
    opacity: 0.7;
  }
}

div.activLists.more {
  margin-top: 30px;
  display: none;
}

.btnMore a {
  width: 320px;
  line-height: 42px;
  border-radius: 21px;
  margin: 55px auto 0;
  border: 1px solid #007fde;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #007fde;
  transition: 0.3s all;
  font-weight: bold;
}

@media screen and (min-width: 1121px) {
  .btnMore a:hover {
    background: #007fde;
    color: #fff;
  }
}

.btnMore.close {
  display: none;
}

/*------------------------------*/
section.areaSec {
  padding-bottom: 70px;
}

/*------------------------------*/
section.rankingSec {
  background: #eaeaea;
  padding: 75px 0 70px;
}

section.rankingSec h2 {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

section.rankingSec h2::before {
  content: "";
  width: 35px;
  height: 35px;
  display: block;
  background: url(/img/home/icon_ttl_rank.png) 0 0 no-repeat;
  background-size: cover;
  margin-right: .5em;
}

/*------------------------------*/
section.instaSec {
  padding: 75px 0 70px;
}

section.instaSec h2 {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

section.instaSec h2::before {
  content: "";
  width: 35px;
  height: 35px;
  display: block;
  background: url(/img/home/icon_ttl_insta.png) 0 0 no-repeat;
  background-size: cover;
  margin-right: .5em;
}

section.instaSec ul {
  display: flex;
  justify-content: space-between;
}

section.instaSec ul li {
  width: 200px;
}

section.instaSec ul li a {
  transition: 0.3s opacity;
}

@media screen and (min-width: 1121px) {
  section.instaSec ul li a:hover {
    opacity: 0.7;
  }
}

section.instaSec ul li:last-child {
  display: none;
}

section.instaSec ul li img {
  width: 100%;
}

/*------------------------------*/
section.facebookSec {
  padding: 45px 0 70px;
  background: #f2f9fd;
}

section.facebookSec div.inner {
  display: flex;
  justify-content: space-between;
}

section.facebookSec div.fbBox {
  width: 450px;
}

section.facebookSec div.fbBox > div {
  width: 385px;
  margin-left: 60px;
}

section.facebookSec h2 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 15px;
  line-height: 1.4;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

section.facebookSec h2::before {
  content: "";
  width: 35px;
  height: 35px;
  display: block;
  background: url(/img/home/icon_ttl_fb.png) 0 0 no-repeat;
  background-size: cover;
  margin-right: .5em;
}

section.facebookSec div.staffBox {
  width: 550px;
}

section.facebookSec h3 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 15px;
  line-height: 1.4;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

section.facebookSec h3::before {
  content: "";
  width: 35px;
  height: 35px;
  display: block;
  background: url(/img/home/icon_ttl_staff.png) 0 0 no-repeat;
  background-size: cover;
  margin-right: .5em;
}

section.facebookSec h3 + .catch {
  margin-bottom: 20px;
  line-height: 1.6;
}

section.facebookSec ul li {
  display: flex;
  line-height: 1.4;
}

section.facebookSec ul li .category {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
  height: 24px;
  background: #007fde;
  color: #fff;
  font-size: 13px;
  font-weight: bold;
  flex-shrink: 0;
  margin-right: 1em;
}

section.facebookSec ul li .date {
  font-size: 12px;
  color: #757575;
  margin-right: 1em;
  margin-top: .3em;
}

section.facebookSec ul li .note {
  font-size: 14px;
  color: #2d2d2d;
  padding-top: .2em;
}

section.facebookSec ul li ~ li {
  margin-top: 0.9em;
}

section.facebookSec ul li a {
  transition: 0.3s all;
}

@media screen and (min-width: 1121px) {
  section.facebookSec ul li a:hover {
    color: #007fde;
    text-decoration: underline;
  }
}

section.facebookSec .btnToBlog a {
  width: 200px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #007fde;
  color: #007fde;
  border-radius: 3px;
  margin: 35px auto 0;
  font-size: 15px;
  background: #fff;
  transition: 0.3s all;
}

@media screen and (min-width: 1121px) {
  section.facebookSec .btnToBlog a:hover {
    background: #007fde;
    color: #fff;
  }
}

div.bannerBox {
  padding: 40px 0;
}

/*------------------------------------------------------------------------*/
@media screen and (max-width: 1120px) {
  div.mobileMenu {
    display: block;
  }
  div.mobileMenu ul {
    display: flex;
  }
  div.mobileMenu li {
    width: 100%;
    border-top: 1px solid #b3b3b3;
    border-bottom: 1px solid #b3b3b3;
  }
  div.mobileMenu li a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 58px;
  }
  div.mobileMenu li a::before {
    content: "";
    display: block;
    width: 20px;
    height: 22px;
    background: url(/img/common/icon_sp_cat.png) 0 0 no-repeat;
    background-size: cover;
    margin-right: .5em;
  }
  div.mobileMenu li a::after {
    content: "";
    display: block;
    width: 7px;
    height: 7px;
    border-right: 2px solid #6b6b6b;
    border-bottom: 2px solid #6b6b6b;
    transform: translateY(-0.2em) rotate(45deg);
    margin-left: .5em;
  }
  div.mobileMenu li.openMenuCat {
    border-right: 1px solid #b3b3b3;
  }
  div.mobileMenu li.openMenuArea a::before {
    background-image: url(/img/common/icon_sp_area.png);
    width: 16px;
  }
  section.homeSec {
    padding-top: 30px;
  }
  div.activLists ul li {
    width: calc((100% - 40px)/3);
    margin-left: 20px;
  }
  div.activLists ul li:nth-child(5n+1) {
    margin-left: 20px;
  }
  div.activLists ul li:nth-child(3n+1) {
    margin-left: 0;
  }
  div.activLists ul li:nth-child(n+4) {
    margin-top: 30px;
  }
  div.activLists ul li figure img {
    height: 20vw;
  }
  div.activLists.more {
    margin-top: 30px;
    display: none;
  }
  .btnMore a {
    width: 320px;
    line-height: 42px;
    border-radius: 21px;
    margin: 55px auto 0;
    border: 1px solid #007fde;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #007fde;
    transition: 0.3s all;
    font-weight: bold;
  }
}

@media screen and (max-width: 1120px) and (min-width: 1121px) {
  .btnMore a:hover {
    background: #007fde;
    color: #fff;
  }
}

@media screen and (max-width: 1120px) {
  .btnMore.close {
    display: none;
  }
  /*------------------------------*/
  section.areaSec {
    padding-bottom: 70px;
  }
  /*------------------------------*/
  section.rankingSec {
    padding: 70px 0 65px;
  }
  /*------------------------------*/
  section.instaSec {
    padding: 70px 0 65px;
  }
  section.instaSec ul {
    flex-wrap: wrap;
  }
  section.instaSec ul li {
    width: calc((100% - 40px)/3);
  }
  section.instaSec ul li:last-child {
    display: block;
  }
  section.instaSec ul li:nth-child(n+4) {
    margin-top: 20px;
  }
  /*------------------------------*/
  section.facebookSec {
    padding: 45px 0 45px;
  }
  section.facebookSec div.inner {
    flex-direction: column;
  }
  section.facebookSec div.fbBox {
    width: 100%;
  }
  section.facebookSec div.fbBox > div {
    margin: 0 auto 65px;
  }
  section.facebookSec div.staffBox {
    width: 100%;
  }
}

/*------------------------------------------------------------------------*/
@media screen and (max-width: 767px) {
  div.mobileMenu li a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 53px;
  }
  div.mobileMenu li a::before {
    width: 18px;
    height: 18px;
  }
  div.mobileMenu li a::after {
    width: 6px;
    height: 6px;
  }
  div.mobileMenu li.openMenuArea a::before {
    width: 14px;
    height: 19px;
  }
  section.homeSec {
    padding-top: 35px;
  }
  section.homeSec h2 {
    font-size: 20px;
    margin-bottom: 12px;
    letter-spacing: -.03em;
  }
  div.activLists ul li {
    width: calc((100% - 20px)/3);
    margin-left: 10px;
  }
  div.activLists ul li:nth-child(5n+1) {
    margin-left: 10px;
  }
  div.activLists ul li:nth-child(3n+1) {
    margin-left: 0;
  }
  div.activLists ul li:nth-child(n+4) {
    margin-top: 15px;
  }
  div.activLists ul li figcaption {
    font-size: 12px;
    margin-top: 10px;
  }
  div.activLists.more {
    margin-top: 15px;
  }
  .btnMore a {
    width: 100%;
    line-height: 42px;
    margin: 30px auto 0;
    font-size: 15px;
  }
  /*------------------------------*/
  section.areaSec {
    padding-bottom: 45px;
  }
  /*------------------------------*/
  section.rankingSec {
    padding: 45px 0 40px;
  }
  section.rankingSec h2::before {
    width: 27px;
    height: 27px;
  }
  /*------------------------------*/
  section.instaSec {
    padding: 45px 0 40px;
  }
  section.instaSec h2::before {
    width: 27px;
    height: 27px;
  }
  section.instaSec ul li {
    width: calc((100% - 20px)/3);
  }
  section.instaSec ul li:last-child {
    display: block;
  }
  section.instaSec ul li:nth-child(n+4) {
    margin-top: 10px;
  }
  /*------------------------------*/
  section.facebookSec {
    padding: 45px 0 45px;
  }
  section.facebookSec h2, section.facebookSec h3 {
    font-size: 20px;
    margin-bottom: 12px;
    letter-spacing: -.03em;
  }
  section.facebookSec h2::before, section.facebookSec h3::before {
    width: 27px;
    height: 27px;
  }
  section.facebookSec div.fbBox > div {
    margin: 0 auto 43px;
    width: 100%;
    max-width: 385px;
  }
  section.facebookSec div.staffBox {
    width: 100%;
  }
  section.facebookSec ul li {
    flex-wrap: wrap;
  }
  section.facebookSec ul li .category {
    font-size: 13px;
    padding: 0 8px;
    height: 20px;
    border-radius: 3px;
  }
  section.facebookSec ul li .date {
    font-size: 12px;
  }
  section.facebookSec ul li .note {
    width: 100%;
    padding-top: .5em;
  }
  section.facebookSec .btnToBlog a {
    font-size: 14px;
  }
}

/*# sourceMappingURL=data:application/json;base64,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 */